com.fasterxml.jackson.databind.annotation

## Annotation Type JsonAppend.Attr

-     public static @interface JsonAppend.Attr

  Definition of a single attribute-backed property. Attribute-backed properties will be appended after (or prepended before, as per `JsonAppend.prepend()`) regular properties in specified order, although their placement may be further changed by the usual property-ordering functionality (alphabetic sorting; explicit ordering)

- - ### Required Element Summary

    Required Elements
    Modifier and Type | Required Element and Description
    --- | ---
    `String` | `value` Name of attribute of which value to serialize.

  - ### Optional Element Summary

    Optional Elements
    Modifier and Type | Optional Element and Description
    --- | ---
    `JsonInclude.Include` | `include` When to include attribute-property.
    `String` | `propName` Name to use for serializing value of the attribute; if not defined, `value()` will be used instead.
    `String` | `propNamespace` Optional namespace to use; only relevant for data formats that use namespaces (like XML).
    `boolean` | `required` Metadata about property, similar to `JsonProperty.required()`.

- - ### Element Detail

    - #### value

          public abstract String value

      Name of attribute of which value to serialize. Is also used as the name of external property to write, unless overridden by assigning a value for `propName()`.

  - - #### propName

          public abstract String propName

      Name to use for serializing value of the attribute; if not defined, `value()` will be used instead.
      Default:
        ""

  - - #### propNamespace

          public abstract String propNamespace

      Optional namespace to use; only relevant for data formats that use namespaces (like XML).
      Default:
        ""

  - - #### include

          public abstract JsonInclude.Include include

      When to include attribute-property. Default value indicates that property should only be written if specified attribute has a non-null value.
      Default:
        com.fasterxml.jackson.annotation.JsonInclude.Include.NON_NULL

  - - #### required

          public abstract boolean required

      Metadata about property, similar to `JsonProperty.required()`.
      Default:
        false

Copyright © 2008–2019 FasterXML. All rights reserved.